%define release 3
%define version 1.1.0

Summary: Koozali SME Server Nextcloud configuration
Name: smeserver-nextcloud
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-nextcloud-1.1.0.patch0.patch
Patch1: smeserver-nextcloud-1.1.0.bz10556.patch
BuildArch: noarch
URL: %{url_prefix}/%{name}

BuildRequires: e-smith-devtools

Requires: nextcloud >= 13.0.1
Requires: e-smith-apache
Requires: e-smith-mysql
Requires: smeserver-webapps-common
Requires: smeserver-php-fpm
Requires: samba-client
Requires: php71-php-smbclient
Requires: php71-php-opcache
Requires: php71-php-pecl-apcu
Requires: perl-JSON

%description
Koozali SME Server Nextcloud files and configuration.


%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf %{buildroot}
(cd root; find . -depth -print | cpio -dump %{buildroot})
/sbin/e-smith/genfilelist %{buildroot} \
 --dir /var/lib/php/nextcloud  'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/tmp 'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/opcache 'attr(0755,www,www)' \
 --dir /var/lib/php/nextcloud/session 'attr(0755,www,www)' \
 --dir /home/e-smith/files/nextcloud 'attr(0755,www,www)' \
 --dir /home/e-smith/files/nextcloud/data 'attr(0755,www,www)' \
 > %{name}-%{version}-filelist

cat %{name}-%{version}-filelist
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc COPYING


%changelog
* Sat Apr 07 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-3.sme
- tidying templates, set cron update
- fix bad folder name for ibays [SME: 10556]

* Fri Mar 30 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.0-1.sme
- initial release

